Get payment
curl --request GET \
--url https://api.synctera.com/v2/payments/{payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/payments/{payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"error_details": {
"code": "<string>",
"details": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"payment_date": {
"execution_date": "2023-12-25",
"scheduled_date": "2023-12-25"
},
"payment_instruction": {
"request": {
"amount": 607,
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"dc_sign": "debit",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"effective_date": "2022-03-18",
"external_data": {},
"final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hold": {
"amount": 123,
"duration": 2
},
"is_same_day": true,
"memo": "<string>",
"reference_info": "Tempore atque et cum.",
"risk": {
"client_ip": "<string>"
},
"sec_code": "WEB"
},
"type": "ACH"
},
"payment_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "COMPLETED",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Payments
Get payment
🚧 Beta This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
Get a payment by ID.
GET
/
payments
/
{payment_id}
Get payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment ID
Response
Payment details
Executed payment
User provided description for the payment schedule
Payment error details. It will be included only when status is ERROR
Show child attributes
Show child attributes
Payment ID
User provided JSON format data for the payment schedule
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
ID of the payment schedule that executed this payment
Payment request status
Available options:
COMPLETED, ERROR Transaction ID. It will be included only when status is COMPLETED
Was this page helpful?

